--Client starts here! 
local shared = assert( require 'shared' )
local love = assert( love )

function love.load()
  love.window.setIcon( assert( love.image.newImageData( "client/assets/client-icon.png" ) ) )
  love.graphics.setNewFont( "client/assets/Montserrat-Bold.ttf", 48 )
  local scenes = assert( require 'client.scene' )
  
  assert( require 'client.ui.options' )
  assert( require 'client.ui.browser' )
  assert( require 'client.game' )
  assert( require 'client.ui.mainmenu' )
  scenes.loadScene( scenes.mainmenu )
end
